Overview
POST
/bucket/buckets/{bucketId}/types/{typeId}/rowsbucketCreate a bucket-type row (acting as an app/persona)
Create a record in rows.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- bucketIdpathstring
- typeIdpathstring
- asTypequerystring
- asIdquerystring
Request body
application/json · optional
Example
{}Responses
201
Created row
Example
{}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/bucket/buckets/{bucketId}/types/{typeId}/rows" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/buckets/{bucketId}/types/{typeId}/rows", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{}",
});
const data = await res.json();